declare type IntersectionOfValues<T> = {
    [K in keyof T]: (p: T[K]) => void;
} extends {
    [n: string]: (p: infer I) => void;
} ? I : never;
declare type IntersectionOfFunctionsToTuple<F> = F extends {
    (a: infer A): void;
    (b: infer B): void;
    (c: infer C): void;
} ? [A, B, C] : F extends {
    (a: infer A): void;
    (b: infer B): void;
} ? [A, B] : F extends {
    (a: infer A): void;
} ? [A] : never;
export declare type KeysToTuple<T> = IntersectionOfFunctionsToTuple<IntersectionOfValues<{
    [K in keyof T]: (v: K) => void;
}>>;
export declare type CountKeys<T> = KeysToTuple<T>['length'];
export {};
