import { Options, Result, TypeRepresentation } from './types';
/**
 * Low level public API to check type of `value` match type `typeOrFunction` in the context of project `tsConfigFilePath`.
 */
export declare function checkType<T>(typeOrFunction: TypeRepresentation<T>, value: T, options?: Options): Result;
/** @internal */
export declare function checkTypeCore<T>(typeOrFunction: TypeRepresentation<T>, value: T, options?: Options): Result;
