import { Options, TypeRepresentation, PrefixedText } from './types';
declare global {
    namespace jest {
        interface Matchers<R> {
            toMatchType<R>(type: TypeRepresentation<R>, options?: Options & {
                exactly?: boolean;
            }): R;
        }
    }
}
declare global {
    namespace jest {
        interface Matchers<R> {
            toCompile<R>(options: Options, ...types: PrefixedText[]): R;
            toCompile<R>(...types: PrefixedText[]): R;
        }
    }
}
